Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

OCI Vaults APIs

Updating Connection of OCI Vaults

search

Updating Connection of OCI Vaults

Use the patch /v1/cckm/oci/vaults/{id} API to update the connection of an OCI vault with the given id.

Syntax

curl -k '<IP>/api/v1/cckm/oci/vaults/{id}' -X PATCH -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' -H 'accept: application/json' --data-binary $'{\n  "connection": "oci-connection"\n}' --compressed

Here, {id} is the resource ID of the OCI vault on the CipherTrust Manager. Run the get /v1/cckm/oci/vaults API to view the resource ID (id) of the OCI vaults added to the CipherTrust Manager. Note that this resource id is different from the vault_id on OCI.

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.
connection string Name or ID of the connection that is used to manage the OCI vault.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/oci/vaults/f3f71f32-a89f-4c0a-be14-44e324b38f63' -X PATCH -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJjZmU5MGJkZC01MWQwLTQ3NDctODNkMi1kODA5ZmNmOGQ4M2IiLCJzdWIiOiJsb2NhbHxiNDhkNDliNC00NjMyLTQ4YmUtOTdiZC04N2MwODg1YjU3YjUiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMDk4MzZmMjQtNzdmMS00YzUxLTgxYzktNTczNWZkYmE3OTMzIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImY1MDZkMmU4LWFjNjMtNDE0Yi1hNzUxLTFiODAyZjJiYTQ4NSIsImlhdCI6MTYzNDcwOTUxMywiZXhwIjoxNjM0NzA5ODEzfQ.FrDF64vD0Q1S_k0AM3hfJ6W3QGyOj2gF4JRF4CZJ5ZA'-H 'Content-Type: application/json' -H 'accept: application/json' --data-binary $'{\n  "connection": "oci-connection"\n}' --compressed

Example Response

{
    "application/json": {
        "id": "c100fd48-5083-4f67-9afa-49ee128ddd77",
        "uri": "kylo:kylo:cckm:oci-vault:c100fd48-5083-4f67-9afa-49ee128ddd77",
        "account": "kylo:kylo:admin:accounts:kylo",
        "createdAt": "2022-01-27T12:25:04.06318Z",
        "updatedAt": "2022-01-27T12:48:43.288497321Z",
        "compartment_id": "ocid1.tenancy.oc1..aaaaaaaadixbawsedrftgyhujikolql5aaal6hb2vg7audpd4d4mcf5zluymff6sq",
        "display_name": "CCKM-Testing",
        "vault_id": "ocid1.vault.oc1.iad.bzqawsedrftgyhujikoluk.abuwcljta35dmgypqudawsedrftgyhujikol7q6wogbigjryu4udtkinnkmyacrq",
        "lifecycle_state": "ACTIVE",
        "management_endpoint": "https://bzqawsedrftgyhujikolaeuk-management.kms.us-ashburn-1.oraclecloud.com",
        "time_created": "2021-12-07T11:50:37.691Z",
        "cloud_name": "oci",
        "connection": "oci2",
        "vault_type": "DEFAULT",
        "wrappingkey_id": "ocid1.key.oc1.iad.bzawsedrftgyhujikolaeuk.abuwcljstmemawsedrftgyhujikolw6tqwqic7mgcbv7chsv7myhpnusyk3zq",
        "defined_tags": {},
        "freeform_tags": {
            "tag-key-1": "tag-value-1",
            "tag-key-2": "tag-value-2",
            "testVault": "cckm"
        },
        "is_primary": true,
        "refreshed_at": "2022-01-27T12:33:54.523522Z",
        "tenancy": "gemaltoproductdev",
        "region": "us-ashburn-1"
    }
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.